/*************************************************
microPlayer
Version 1.4

Design & Code: Jorge Vilas
Copyright (C) 2006-2008 JV digital media. All Rights Reserved.
**************************************************/

var player = COM.createObject("wmplayer.ocx");
var Playlist, IsPlaylist, PlayIndex;
COM.connectObject(player, "WMP_");
player.settings.setMode("loop", false);
player.settings.autoStart = false;
var CDROM = player.cdromCollection;
fileInfo = new Object();
var MPconfig;
var minimizedStatus = false;
var playerStatus = "OFF";
var skin = preferences.Skin.value.replace(/ /g,"_");
var balanceCtrlStatus = "closed";
var Status = "standbay";
var isAudioCD = false;
var 	isFolder = false;
var mousex = 0;
var loopStatus = false;
var shuffleStatus = false;
var filePlayList = 0;
var currentFile;
var sourceMenu = new Array();
sourceMenu.push(new MenuItem());
sourceMenu[0].title = "Select a File...";
sourceMenu[0].onSelect = "PlayFile(chooseFile(new Array('.mp3','.wav','.wma','.aif','.aiff','.au','.snd','.m3u','.wpl','.wax')))";
sourceMenu[0].enabled = true;
sourceMenu.push(new MenuItem());
sourceMenu[1].title = "Last used folder";
sourceMenu[1].onSelect = "PlayFolder(preferences.musicFolder.value);";
sourceMenu[1].enabled = true;
sourceMenu.push(new MenuItem());
sourceMenu[2].title = "Select a Folder...";
sourceMenu[2].onSelect = "PlayFolder(chooseFolder());";
sourceMenu[2].enabled = true;
for(var i = 0; i < CDROM.count; i++) {
	var m = new MenuItem();
	m.title = "Audio CD Drive ("+ CDROM.Item(i).driveSpecifier +")";
	m.onSelect = "PlayAudioCD(" + i + ", CDROM.Item("+ i +").Playlist)"
	m.enabled = true;
	sourceMenu.push(m);
}

function init() {
	MPconfig = preferences.configuration.value;
	soundValue = preferences.volume.value;
	setVolume();
	balanceButton.hOffset = 155;
	setSkin();
	bodyRight.hOffset = -460;
	btnModeStatus("off");
}

function setSkin() {
	var bodySkin = new Image();
	bodySkin.src = "Resources/Images/" + skin + "_body.png";
	bodyLeft.src = bodySkin.src;
	bodyRight.src = bodySkin.src;
	body.src = bodySkin.src;
	bodyRight.hOffset = -460;
	var buttonsSkin = new Image();
	buttonsSkin.src = "Resources/Images/" + skin + "_buttons.png";
	btnPrev.src = buttonsSkin.src;
	btnPlay.src = buttonsSkin.src;
	btnPause.src = buttonsSkin.src;
	btnStop.src = buttonsSkin.src;
	btnNext.src = buttonsSkin.src;
	btnSource.src = buttonsSkin.src;
	if (MPconfig > 0 || minimizedStatus) {
		btnSource.vOffset = -14;
		btnSource.clipRect = "198, 20, 13, 13";
		btnSource.onMouseEnter = "btnSource.vOffset = -28; btnSource.clipRect = '198, 34, 13, 13';";
		btnSource.onMouseExit = "btnSource.vOffset = -14; btnSource.clipRect = '198, 20, 13, 13';";
		btnSource.onMouseUp = "selectSource();";
		btnSource.visible = true;
	} else {
		btnSource.visible = false;
	}
	balanceCtrl.src = buttonsSkin.src;
	if(balanceCtrlStatus == "open") {
		balanceCtrl.visible = true;
	} else {
		balanceCtrl.visible = false;
	}
	btnBalanceCtrl.src = buttonsSkin.src;
	btnMute.src = buttonsSkin.src;
	btnOptions.src = buttonsSkin.src;
	btnLoop.src = buttonsSkin.src;
	btnShuffle.src = buttonsSkin.src;
	btnExpand.src = buttonsSkin.src;
	if (MPconfig == 0) {
		bodyRight.hOffset = -460;
	} else if (MPconfig == 1) {
		bodyRight.hOffset = -255;
		btnSource.visible = true;
		btnModeStatus("on");
		btnExpand.hOffset = 214;
		btnExpand.clipRect = "4, 6, 7, 13";
	} else if (MPconfig == 2) {
		bodyRight.hOffset = -51;
		btnOptions.hOffset = 0;
		btnOptions.vOffset = -14;
		btnOptions.clipRect = "401, 20, 12, 12";
		btnOptions.onMouseEnter = "btnOptions.vOffset = -28; btnOptions.clipRect = '401, 34, 12, 12';";
		btnOptions.onMouseExit = "btnOptions.vOffset = -14; btnOptions.clipRect = '401, 20, 12, 12';";
		btnExpand.hOffset = 49;
		btnExpand.clipRect = "12, 6, 7, 13";
		btnModeStatus("on");
	} else if (MPconfig == 3) {
		bodyRight.hOffset = 0;
		btnOptions.hOffset = 14;
		btnOptions.vOffset = -14;
		btnOptions.clipRect = "387, 20, 12, 12";
		btnOptions.onMouseEnter = "btnOptions.vOffset = -28; btnOptions.clipRect = '387, 34, 12, 12';";
		btnOptions.onMouseExit = "btnOptions.vOffset = -14; btnOptions.clipRect = '387, 20, 12, 12';";
		btnExpand.hOffset = 461;
		btnModeStatus("on");
	} else {
		bodyRight.hOffset = -460;
		btnModeStatus("off");
	}
	switch (skin) {
		case "Default": Track.color = "#80FF80"; break;
		case "Aqua": Track.color = "#FFFFFF"; break;
		case "Brass": Track.color = "#FCD9BF"; break;
		case "Copper": Track.color = "#FFFFFF"; break;
		case "Coral": Track.color = "#FFFFFF"; break;
		case "Diamond": Track.color = "#1C446A"; break;
		case "Golden": Track.color = "#FFFF00"; break;
		case "Grape": Track.color = "#40FF40"; break;
		case "Ice": Track.color = "#605963"; break;
		case "Jeans": Track.color = "#404040"; break;
		case "Lime": Track.color = "#EEF2E0"; break;
		case "Blues": Track.color = "#C5F5FF"; break;
		case "Nocturne": Track.color = "#E2E7DD"; break;
		case "Orange_Gold": Track.color = "#FEDC8B"; break;
		case "Sand": Track.color = "#E1D8D1"; break;
		case "Uranium": Track.color = "#87FE00"; break;
		default: Track.color = "#80FF80"; break;
	}
	changeCtrlPanelState(Status);
}

function selectSource() {
	Track.data = "";
	popupMenu(sourceMenu, system.event.hOffset, system.event.vOffset+7);
}

function openMP() {
	MPconfig = preferences.configuration.value;
	btnModeStatus("ready");
	switch (MPconfig) {
		case "0": openPlayer(); break;
		case "1": openPlayer(); break;
		case "2": openPlayer(); openDisplay(); break;
		case "3": openPlayer(); openDisplay(); openOptions(); break;
		default:  break
	}
}

function reopenMP() {
	MPconfig = preferences.configuration.value;
	btnMode.src = "Resources/Images/btnMode_on.png";
	btnMode.onMouseEnter = "btnMode.src = 'Resources/Images/btnMode_onOver.png';";
	btnMode.onMouseExit = "btnMode.src = 'Resources/Images/btnMode_on.png';";
	btnMode.tooltip = "Minimize microPlayer";
	btnMode.onMouseUp = "minimizeMP();";
	mainWindow.width = 233;
	body.clipRect = "12, 0, 204, 28";
	body.visible = true;
	btnPrev.visible = true;
	bodyRight.hOffset = -255;
	btnExpand.visible = true;
	btnExpand.tooltip = "Show Display";
	btnExpand.onMouseUp = "openDisplay();";
	switch (MPconfig) {
		case "0": break;
		case "1": break;
		case "2": openDisplay(); break;
		case "3": openDisplay(); openOptions(); break;
		default: break
	}
	minimizedStatus = false;
}

function closeMP() {
	btnModeStatus("off");
	var saveMPconfig = MPconfig;
	closeOptions();
	closeDisplay();
	MPconfig = saveMPconfig;
	deactivate();
	preferences.configuration.value = MPconfig;
	body.visible = false;
	btnExpand.visible = false;
	bodyRight.hOffset = -460;
	mainWindow.width = 29;
	MPconfig = 0;
}

function minimizeMP() {
	var saveMPconfig = MPconfig;
	closeOptions();
	closeDisplay();
	preferences.configuration.value = saveMPconfig;
	closeBalanceCtrl();
	body.visible = false;
	btnPrev.visible = false;
	btnExpand.visible = false;
	bodyRight.hOffset = -460;
	mainWindow.width = 29;
	MPconfig = 0;
	btnMode.src = "Resources/Images/btnMode_on.png";
	btnMode.onMouseEnter = "btnMode.src = 'Resources/Images/btnMode_onOver.png';";
	btnMode.onMouseExit = "btnMode.src = 'Resources/Images/btnMode_on.png';";
	btnMode.tooltip = "Restore microPlayer";
	btnMode.onMouseUp = "reopenMP();";
	minimizedStatus = true;
}

function btnModeStatus (newState) {
	if (Status == "playing") {
		if (newState == "on") {
			if(minimizedStatus) {
				btnMode.src = "Resources/Images/btnMode_on.png";
				btnMode.onMouseEnter = "btnMode.src = 'Resources/Images/btnMode_onOver.png';";
				btnMode.onMouseExit = "btnMode.src = 'Resources/Images/btnMode_on.png';";
				btnMode.tooltip = "Restore microPlayer";
				btnMode.onMouseUp = "reopenMP();";
			} else {
				btnMode.src = "Resources/Images/btnMode_on.png";
				btnMode.onMouseEnter = "btnMode.src = 'Resources/Images/btnMode_onOver.png';";
				btnMode.onMouseExit = "btnMode.src = 'Resources/Images/btnMode_on.png';";
				btnMode.tooltip = "Minimize microPlayer";
				btnMode.onMouseUp = "minimizeMP();";
			}
		} else if (newState == "off") {
			btnMode.src = "Resources/Images/btnMode_off.png";
			btnMode.onMouseEnter = "btnMode.src = 'Resources/Images/btnMode_offOver.png';";
			btnMode.onMouseExit = "btnMode.src = 'Resources/Images/btnMode_off.png';";
			btnMode.tooltip = "Open microPlayer";
			btnMode.onMouseUp = "openMP();";
		}
	} else {
		if (newState == "on") {
			btnMode.src = "Resources/Images/btnMode_on.png";
			btnMode.onMouseEnter = "btnMode.src = 'Resources/Images/btnMode_offOver.png';";
			btnMode.onMouseExit = "btnMode.src = 'Resources/Images/btnMode_ready.png';";
			btnMode.tooltip = "Close microPlayer";
			btnMode.onMouseUp = "closeMP();";
		} else if (newState == "ready") {
			btnMode.src = "Resources/Images/btnMode_ready.png";
			btnMode.onMouseEnter = "btnMode.src = 'Resources/Images/btnMode_offOver.png';";
			btnMode.onMouseExit = "btnMode.src = 'Resources/Images/btnMode_ready.png';";
			btnMode.tooltip = "Close microPlayer";
			btnMode.onMouseUp = "closeMP();";
		} else if (newState == "off") {
			btnMode.src = "Resources/Images/btnMode_off.png";
			btnMode.onMouseEnter = "btnMode.src = 'Resources/Images/btnMode_readyOver.png';";
			btnMode.onMouseExit = "btnMode.src = 'Resources/Images/btnMode_off.png';";
			btnMode.tooltip = "Open microPlayer";
			btnMode.onMouseUp = "openMP();";
		}
	}
}

function openPlayer() {
	mainWindow.width = 233;
	body.clipRect = "12, 0, 204, 28";
	body.visible = true;
	bodyRight.hOffset = -255;
	btnExpand.visible = true;
	btnExpand.tooltip = "Show Display";
	btnExpand.onMouseUp = "openDisplay();";
	activate();
	MPconfig = 1;
	preferences.configuration.value = MPconfig;
}

function openDisplay() {
	mainWindow.width = 437;
	body.clipRect = "12, 0, 408, 28";
	seekSlider.visible = true;
	btnSeek.visible = true;
	btnOptions.hOffset = 0;
	btnOptions.vOffset = -14;
	btnOptions.clipRect = "401, 20, 12, 12";
	btnOptions.onMouseEnter = "btnOptions.vOffset = -28; btnOptions.clipRect = '401, 34, 12, 12';";
	btnOptions.onMouseExit = "btnOptions.vOffset = -14; btnOptions.clipRect = '401, 20, 12, 12';";
	btnOptions.visible = true;
	btnOptions.onMouseUp = "openOptions();";
	btnOptions.tooltip = "Show Options";
	bodyRight.hOffset = -51;
	btnExpand.hOffset = 409;
	btnExpand.clipRect = "12, 6, 7, 13";
	btnExpand.tooltip = "Hide Display";
	btnExpand.onMouseUp = "closeDisplay();";
	Track.visible = true;
	MPconfig = 2;
	preferences.configuration.value = MPconfig;
}

function openOptions() {
	mainWindow.width = 488;
	body.clipRect = "12, 0, 459, 28";
	if(Status == "standby") {
		btnLoop.vOffset = 0;
		btnLoop.clipRect = "422, 6, 23, 16";
		btnLoop.onMouseEnter = "btnLoop.vOffset = 0; btnLoop.clipRect = '422, 6, 23, 16';";
		btnLoop.onMouseExit = "btnLoop.vOffset = 0; btnLoop.clipRect = '422, 6, 23, 16';";
		btnShuffle.vOffset = 0;
		btnShuffle.clipRect = "446, 6, 23, 16";
		btnShuffle.onMouseEnter = "btnShuffle.vOffset = 0; btnShuffle.clipRect = '446, 6, 23, 16';";
		btnShuffle.onMouseExit = "btnShuffle.vOffset = 0; btnShuffle.clipRect = '446, 6, 23, 16';";
		btnShuffle.onMouseUp = "";
	} else {
		if(loopStatus) {
			btnLoop.vOffset = -34;
			btnLoop.clipRect = "422, 40, 23, 16";
			btnLoop.onMouseEnter = "btnLoop.vOffset = -51; btnLoop.clipRect = '422, 57, 23, 16';";
			btnLoop.onMouseExit = "btnLoop.vOffset = -34; btnLoop.clipRect = '422, 40, 23, 16';";
			btnLoop.onMouseUp = "deactivateLoop();";
		} else {
			btnLoop.vOffset = -17;
			btnLoop.clipRect = "422, 23, 23, 16";
			btnLoop.onMouseEnter = "btnLoop.vOffset = -51; btnLoop.clipRect = '422, 57, 23, 16';";
			btnLoop.onMouseExit = "btnLoop.vOffset = -17; btnLoop.clipRect = '422, 23, 23, 16';";
			btnLoop.onMouseUp = "activateLoop();";
		}
		if(shuffleStatus) {
			btnShuffle.vOffset = -34;
			btnShuffle.clipRect = "446, 40, 23, 16";
			btnShuffle.onMouseEnter = "btnShuffle.vOffset = -51; btnShuffle.clipRect = '446, 57, 23, 16';";
			btnShuffle.onMouseExit = "btnShuffle.vOffset = -34; btnShuffle.clipRect = '446, 40, 23, 16';";
			btnShuffle.onMouseUp = "shuffle();";
		} else {
			if(isFolder || isAudioCD || IsPlaylist) {
				btnShuffle.vOffset = -17;
				btnShuffle.clipRect = "446, 23, 23, 16";
				btnShuffle.onMouseEnter = "btnShuffle.vOffset = -51; btnShuffle.clipRect = '446, 57, 23, 16';";
				btnShuffle.onMouseExit = "btnShuffle.vOffset = -17; btnShuffle.clipRect = '446, 23, 23, 16';";
				btnShuffle.onMouseUp = "shuffle();";
			} else {
				btnShuffle.vOffset = 0;
				btnShuffle.clipRect = "446, 6, 23, 16";
				btnShuffle.onMouseEnter = "btnShuffle.vOffset = 0; btnShuffle.clipRect = '446, 6, 23, 16';";
				btnShuffle.onMouseExit = "btnShuffle.vOffset = 0; btnShuffle.clipRect = '446, 6, 23, 16';";
				btnShuffle.onMouseUp = "";
			}
		}
	}
	btnLoop.visible = true;
	btnShuffle.visible = true;
	btnOptions.hOffset = 14;
	btnOptions.vOffset = -14;
	btnOptions.clipRect = "387, 20, 12, 12";
	btnOptions.onMouseEnter = "btnOptions.vOffset = -28; btnOptions.clipRect = '387, 34, 12, 12';";
	btnOptions.onMouseExit = "btnOptions.vOffset = -14; btnOptions.clipRect = '387, 20, 12, 12';";
	btnOptions.onMouseUp = "closeOptions();";
	btnOptions.tooltip = "Hide Options";
	bodyRight.hOffset = 0;
	btnExpand.hOffset = 461;
	btnExpand.clipRect = "12, 6, 7, 13";
	MPconfig = 3;
	preferences.configuration.value = MPconfig;
}

function activate() {
	Track.data = "SELECT SOURCE";
	btnModeStatus("on");
	btnPrev.visible = true;
	btnPlay.visible = true;
	btnPause.visible = true;
	btnStop.visible = true;
	btnNext.visible = true;
	btnSource.vOffset = -14;
	btnSource.clipRect = "198, 20, 13, 13";
	btnSource.onMouseEnter = "btnSource.vOffset = -28; btnSource.clipRect = '198, 34, 13, 13';";
	btnSource.onMouseExit = "btnSource.vOffset = -14; btnSource.clipRect = '198, 20, 13, 13';";
	btnSource.onMouseUp = "popupMenu(sourceMenu, system.event.hOffset, system.event.vOffset+7);";
	btnSource.visible = true;
	btnMute.visible = true;
	btnBalanceCtrl.visible = true;
	volumeSlider.visible = true;
	setVolume();
	changeCtrlPanelState("standby");
}

function deactivate() {
	if(Status == "playing") {
		stopSong();
		delete Playlist;
	}
	Track.data = "";
	btnModeStatus("off");
	btnSource.vOffset = 0;
	btnSource.clipRect = "198, 6, 13, 13";
	btnPrev.visible =  false;
	btnPlay.visible =  false;
	btnPause.visible =  false;
	btnStop.visible =  false;
	btnNext.visible =  false;
	btnSource.visible =  false;
	btnMute.visible = false;
	if (player.settings.mute) {
		player.settings.mute = false;
	}
	closeBalanceCtrl();
}

function activateLoop() {
	btnLoop.vOffset = -34;
	btnLoop.clipRect = "422, 40, 23, 16";
	btnLoop.onMouseEnter = "btnLoop.vOffset = -51; btnLoop.clipRect = '422, 57, 23, 16';";
	btnLoop.onMouseExit = "btnLoop.vOffset = -34; btnLoop.clipRect = '422, 40, 23, 16';";
	btnLoop.onMouseUp = "deactivateLoop();";
	loopStatus = true;
}

function deactivateLoop() {
	btnLoop.vOffset = -17;
	btnLoop.clipRect = "422, 23, 23, 16";
	btnLoop.onMouseEnter = "btnLoop.vOffset = -51; btnLoop.clipRect = '422, 57, 23, 16';";
	btnLoop.onMouseExit = "btnLoop.vOffset = -17; btnLoop.clipRect = '422, 23, 23, 16';";
	btnLoop.onMouseUp = "activateLoop();";
	loopStatus = false;
}

function closeDisplay() {
	seekSlider.visible = false;
	btnSeek.visible = false;
	body.clipRect = "12, 0, 204, 28";
	Track.visible = false;
	btnLoop.visible = false;
	btnOptions.visible = false;
	mainWindow.width = 233;
	bodyRight.hOffset = -255;
	btnExpand.hOffset = 214;
	btnExpand.clipRect = "4, 6, 7, 13";
	btnExpand.tooltip = "Show Display";
	btnExpand.onMouseUp = "openDisplay();";
	MPconfig = 1;
	preferences.configuration.value = MPconfig;
}

function closeOptions() {
	body.clipRect = "12, 0, 408, 28";
	btnLoop.visible = false;
	mainWindow.width = 437;
	bodyRight.hOffset = -51;
	btnExpand.hOffset = 409;
	btnExpand.clipRect = "12, 6, 7, 13";
	btnOptions.hOffset = 0;
	btnOptions.vOffset = -14;
	btnOptions.clipRect = "401, 20, 12, 12";
	btnOptions.onMouseEnter = "btnOptions.vOffset = -28; btnOptions.clipRect = '401, 34, 12, 12';";
	btnOptions.onMouseExit = "btnOptions.vOffset = -14; btnOptions.clipRect = '401, 20, 12, 12';";
	btnOptions.onMouseUp = "openOptions();";
	btnOptions.tooltip = "Show Options";
	MPconfig = 2;
	preferences.configuration.value = MPconfig;
}

function setVolume() {
	soundValue = preferences.volume.value;
	btnVolume.hOffset = 130 + (Math.round(soundValue / (100/48)));
	btnVolume.visible = true;
}

function volumeCtrl() {
	if (system.event.x < 1) {
		mousex = 1;
	}
	else if (system.event.x > 49) {
		mousex = 49;
	} else {
		mousex = system.event.x;
	}
	btnVolume.hOffset = mousex - 1 + 130;
	volLevel = Math.round((mousex - 1)*(100/48));
	player.settings.volume = volLevel;
	soundValue = volLevel;
	preferences.volume.value = soundValue;
	if (player.settings.mute) mute();
}

function mute() {
	if (player.settings.mute) {
		player.settings.mute = false;
		btnMute.hOffset = 0;
		btnMute.vOffset = -44;
		btnMute.clipRect = "118, 55, 9, 9";
		btnMute.onMouseEnter = "btnMute.vOffset = -54; btnMute.clipRect = '118, 65, 9, 9';";
		btnMute.onMouseExit = "btnMute.vOffset = -44; btnMute.clipRect = '118, 55, 9, 9';";
		btnMute.tooltip = "Mute";						
	} else {
		player.settings.mute = true;
		btnMute.hOffset = -10;
		btnMute.vOffset = -44;
		btnMute.clipRect = "128, 55, 9, 9";
		btnMute.onMouseEnter = "btnMute.vOffset = -54; btnMute.clipRect = '128, 65, 9, 9';";
		btnMute.onMouseExit = "btnMute.vOffset = -44; btnMute.clipRect = '128, 55, 9, 9';";
		btnMute.tooltip = "Unmute";
	}
}

function balanceCtrlButton(btnState) {
	if (balanceCtrlStatus == "closed") {
		if(btnState) {
			btnBalanceCtrl.hOffset = 8;
			btnBalanceCtrl.vOffset = -39;
			btnBalanceCtrl.clipRect = "175, 52, 7, 6";
			btnBalanceCtrl.onMouseEnter = "btnBalanceCtrl.vOffset = -46; btnBalanceCtrl.clipRect = '175, 59, 7, 6';";
			btnBalanceCtrl.onMouseExit = "btnBalanceCtrl.vOffset = -39; btnBalanceCtrl.clipRect = '175, 52, 7, 6';";
			btnBalanceCtrl.onMouseUp = "openBalanceCtrl();";
		} else {
			btnBalanceCtrl.hOffset = 8;
			btnBalanceCtrl.vOffset = -32;
			btnBalanceCtrl.clipRect = "175, 45, 7, 6";
			btnBalanceCtrl.onMouseEnter = "btnBalanceCtrl.vOffset = -32; btnBalanceCtrl.clipRect = '175, 45, 7, 6';";
			btnBalanceCtrl.onMouseExit = "btnBalanceCtrl.vOffset = -32; btnBalanceCtrl.clipRect = '175, 45, 7, 6';";
			btnBalanceCtrl.onMouseUp = "";
		}
		btnBalanceCtrl.tooltip = "Open Balance Control";
	} else {
		if(btnState) {
			btnBalanceCtrl.hOffset = 0;
			btnBalanceCtrl.vOffset = -39;
			btnBalanceCtrl.clipRect = "183, 52, 7, 6";
			btnBalanceCtrl.onMouseEnter = "btnBalanceCtrl.vOffset = -46; btnBalanceCtrl.clipRect = '183, 59, 7, 6';";
			btnBalanceCtrl.onMouseExit = "btnBalanceCtrl.vOffset = -39; btnBalanceCtrl.clipRect = '183, 52, 7, 6';";
			btnBalanceCtrl.onMouseUp = "closeBalanceCtrl();";
		} else {
			btnBalanceCtrl.hOffset = 0;
			btnBalanceCtrl.vOffset = -32;
			btnBalanceCtrl.clipRect = "183, 45, 7, 6";
			btnBalanceCtrl.onMouseEnter = "btnBalanceCtrl.vOffset = -32; btnBalanceCtrl.clipRect = '183, 45, 7, 6';";
			btnBalanceCtrl.onMouseExit = "btnBalanceCtrl.vOffset = -32; btnBalanceCtrl.clipRect = '183, 45, 7, 6';";
			btnBalanceCtrl.onMouseUp = "";
		}
		btnBalanceCtrl.tooltip = "Close Balance Control";
	}
}

function openBalanceCtrl() {
	mainWindow.height = 40;
	btnBalanceCtrl.visible = true;
	balanceCtrl.visible = true;
	balanceCtrlStatus = "open";
	balanceCtrlButton(1);
	balanceSlider.visible = true;
	balanceButton.visible = true;
}

function closeBalanceCtrl() {
	balanceCtrlStatus = "closed";
	btnBalanceCtrl.visible = true;
	balanceCtrl.visible = false;
	mainWindow.height = 28;
	balanceCtrlButton(1);
	balanceButton.visible = false;
	balanceSlider.visible = false;
}

function setBalance() {
	if (system.event.x < 1) {
		mousex = 1;
	}
	else if (system.event.x > 49) {
		mousex = 49;
	} else {
		mousex = system.event.x;
	}
	balanceButton.hOffset = mousex - 1 + 130;
	player.settings.balance = Math.round((mousex - 25)*(100/24));
}

function seekCtrl () {
	suppressUpdates();
	if(player.controls.currentPosition > 0) {
		if (system.event.x < 1) {
			mousex = 1;
		}
		else if (system.event.x > 165) {
			mousex = 165;
		} else {
			mousex = system.event.x;
		}
		btnSeek.hOffset = mousex + 230;
		newPos = Math.round((mousex / 165) * duration);
		player.controls.currentPosition = newPos;
	}
	resumeUpdates();
}

function WMP_PlayStateChange(state) {
	if(state == 8) {
// stopped
		Timer1.ticking = false;
		Timer2.ticking = false;
		Track.data = "";
		btnSeek.hOffset = 230;
		Track.data = "";
		if(IsPlaylist) {
			if(filePlayList >= player.currentPlaylist.count) {
				if(loopStatus) {
					filePlayList = 0;
					player.settings.setMode("loop", true);
					Timer1.ticking = true;
				} else {
					PlayIndex = 0;
					player.URL = null;
					Track.data = "SELECT SOURCE";
					loopStatus = false;
					shuffleStatus = false;
					changeCtrlPanelState("standby");
				}
			} else {
				Timer1.ticking = true;
			}
		} else {
			if(loopStatus) {
				PlayIndex--;
			}
			if((PlayIndex + 1) >= Playlist.length) {
				PlayIndex = 0;
				player.URL = null;
				Track.data = "SELECT SOURCE";
				changeCtrlPanelState("standby")
			} else {
				Timer2.ticking = true;
			}
		}
	} else if(state == 10) {
// ready
		Timer1.ticking = true;
	}
	else if(state == 3) {
// playing
		duration= player.currentMedia.duration;
		durationStr = player.currentMedia.durationString;
		if(IsPlaylist) filePlayList++;
		if (isAudioCD) {
			if(Track.data.substring(Track.data.length - durationStr.length - 1, Track.data.length - 1) != durationStr) {
				Track.data = Trim(Track.data) + " (" + durationStr + ")";
			}
		} else {
			var artist = Trim(player.currentMedia.getItemInfo("Author").toUpperCase());
			if (artist != "") artist = ": " + artist;
			Track.data = player.currentMedia.name.toUpperCase() + artist + " (" + durationStr + ")";
		}
	navPlayList();
	}
}

function FileMedia(path) {
	this.sourceURL = path;
}

function PlayFile(fn) {
	var 	isFolder = false;
	isAudioCD = false;
	shuffleStatus = false;
	IsPlaylist = false;
	if(fn.length > 4) {
		var ext = fn.substring(fn.length - 3).toLowerCase();
		IsPlaylist = (ext == "m3u") || (ext == "wpl") || (ext == "wax");
		filePlayList = 0;
		currentFile = fn;
	} else {
		IsPlaylist = false;
	}
	if(IsPlaylist) {
		player.URL = fn;
		player.controls.play();
		PlayIndex = 0;
	} else {
		Playlist = new Array(1);
		Playlist[0] = new FileMedia(fn);
		PlayMedia(0);
	}
	changeCtrlPanelState("playing")
}

function PlayFolder(path) {
	isFolder = true;
	isAudioCD = false;
	IsPlaylist = false;
	shuffleStatus = false;
	var fs = filesystem.getDirectoryContents(path, true);
	tmfilePlayList = new Array(fs.length);
	dirList = new Array(fs.length);
	var idxFile = 0;
	var idxFolder = 0;
	for(var i = 0; i < fs.length; i++) {
		if (! filesystem.isDirectory(path + "\\" + fs[i])) {
			for (n = fs[i].length; n > 0; n--) {
				if(fs[i].substring(n-1,n) == ".") {
					var idxExt = n;
					break;
				}
			}
			var ext = fs[i].substring(idxExt, fs[i].length).toLowerCase();
			if (ext == "mp3" || ext == "wav" || ext == "wma" || ext == "aif" || ext == "aiff" || ext == "au" || ext == "snd") {
				IsSong = true;
			} else {
				IsSong = false;
			}
			if (IsSong) {
				tmfilePlayList[idxFile] = new FileMedia(path + "\\" + fs[i]);
				idxFile++;
			}
		} else {
			dirList[idxFolder] = new FileMedia(path + "\\" + fs[i]);
			idxFolder++;
		}
	}
	if (idxFile > 0) {
		Playlist = new Array(idxFile);
		for(var i = 0; i < idxFile; i++) {
			Playlist[i] = tmfilePlayList[i];
		}
		saveDirectory(path);
		changeCtrlPanelState("playing");
		PlayMedia(0);
	}
}

function saveDirectory(folderPath){
	if (folderPath != preferences.musicFolder.value) {
		if (folderPath != "") {
			folderPath = folderPath + "\\";
		}
		preferences.musicFolder.value = folderPath;
	} else{
		return;
	}
}

function PlayAudioCD(cdDriver, PlayList) {
	isAudioCD = true;
	IsFolder = false;
	IsPlaylist = false;
	shuffleStatus = false;
	oCDROM = CDROM.Item(cdDriver);
	colPlaylist = oCDROM.Playlist;
	Playlist = new Array(PlayList.count);
	cdPlaylistTitles = new Array(PlayList.count);
	cdPlaylistArtists = new Array(PlayList.count);
	for(var i = 0; i < PlayList.count; i++) {
		Playlist[i] = PlayList.Item(i);
		objSong = colPlaylist.Item(i);
		cdPlaylistTitles[i] = objSong.getItemInfo("title");
		cdPlaylistArtists[i] = objSong.getItemInfo("artist");
	}
	changeCtrlPanelState("playing");
	PlayMedia(0);
}

function PlayMedia(i) {
	if (isAudioCD) {
		var artist = Trim(cdPlaylistArtists[i].toUpperCase());
		if (artist != "") artist = ": " + artist;
		Track.data = Trim(cdPlaylistTitles[i].toUpperCase()) + artist;
	}
	PlayIndex = i;
	player.URL = Playlist[i].sourceURL;
	player.controls.play();
}

function playSong() {
	if(Status != "playing") {
		player.controls.play();
		Timer1.ticking = true;
		changeCtrlPanelState("playing")
	}
}

function pauseSong() {
	if(Status == "playing") {
		player.controls.pause();
		Timer1.ticking = false;
		changeCtrlPanelState("paused")
	}
}

function stopSong() {
	if(Status == "playing") {
		player.controls.stop();
		Timer1.ticking = false;
		changeCtrlPanelState("stopped")
	}
}

function getPreviousSong() {
	Track.data = "";
	btnSeek.hOffset = 230;
	Track.data = "";
	if(btnPrev.src != "Resources/Images/' + skin + '_buttons.png") {
		if(IsPlaylist) {
			PlayIndex--;
			player.controls.previous();
		} else {
			PlayMedia(PlayIndex - 1);
		}
		changeCtrlPanelState("playing")
	}
}

function getNextSong() {
	Track.data = "";
	btnSeek.hOffset = 230;
	Track.data = "";
	if(btnNext.src != "Resources/Images/' + skin + '_buttons.png") {
		if(IsPlaylist) {
			PlayIndex++;
			player.controls.next();
		} else {
			PlayMedia(PlayIndex + 1);
		}
		changeCtrlPanelState("playing")
	}
}

function shuffle() {
	if(shuffleStatus) {
		shuffleStatus = false;
		player.settings.setMode("shuffle", false);
		btnShuffle.vOffset = -17;
		btnShuffle.clipRect = "446, 23, 23, 16";
		btnShuffle.onMouseEnter = "btnShuffle.vOffset = -51; btnShuffle.clipRect = '446, 57, 23, 16';";
		btnShuffle.onMouseExit = "btnShuffle.vOffset = -17; btnShuffle.clipRect = '446, 23, 23, 16';";
		btnShuffle.onMouseUp = "shuffle();";
	} else {
		shuffleStatus = true;
		btnShuffle.vOffset = -34;
		btnShuffle.clipRect = "446, 40, 23, 16";
		btnShuffle.onMouseEnter = "btnShuffle.vOffset = -51; btnShuffle.clipRect = '446, 57, 23, 16';";
		btnShuffle.onMouseExit = "btnShuffle.vOffset = -34; btnShuffle.clipRect = '446, 40, 23, 16';";
		btnShuffle.onMouseUp = "shuffle();";
		if(IsPlaylist) {
			player.settings.setMode("shuffle", true);
		} else {
			var i = Playlist.length;
			if (i == 0) return false;
			while (--i) {
				var j = Math.floor( Math.random() * (i + 1));
				var tempi = Playlist[i];
				var tempj = Playlist[j];
				Playlist[i] = tempj;
				Playlist[j] = tempi;
				if (isAudioCD) {
					var objSongi = cdPlaylistTitles[i];
					var objSongj = cdPlaylistTitles[j];
					cdPlaylistTitles[i] = objSongj;
					cdPlaylistTitles[j] = objSongi;
				}
			}
			PlayMedia(0);
		}
	}
}

function hotkeyEvent(keyEvent) {
	if (preferences.hotkeys.value == 1) {
		switch (keyEvent) {
			case "hkey1":
				filesystem.open(help.html);
				break;
			case "hkey2":
				getPreviousSong();
				break;
			case "hkey3":
				if (Status == "paused" || Status == "stopped") playSong();
				break;
			case "hkey4":
				if (Status == "playing") pauseSong();
				break;
			case "hkey5":
				if (Status == "playing") stopSong();
				break;
			case "hkey6":
				getNextSong();
				break;
			case "hkey7":
				if(MPconfig > 0) popupMenu(sourceMenu, system.event.hOffset, system.event.vOffset+7);
				break;
			case "hkey8":
				mute();
				break;
			default: break;
		}
	}
}

function navPlayList() {
	if (PlayIndex == 0) {
		btnPrev.vOffset = 0;
		btnPrev.clipRect = "26, 6, 13, 13";
		btnPrev.onMouseEnter = "btnPrev.vOffset = 0; btnPrev.clipRect = '26, 6, 13, 13';";
		btnPrev.onMouseExit = "btnPrev.vOffset = 0; btnPrev.clipRect = '26, 6, 13, 13';";
		btnPrev.onMouseUp = "";
	} else {
		btnPrev.vOffset = -14;
		btnPrev.clipRect = "26, 20, 13, 13";
		btnPrev.onMouseEnter = "btnPrev.vOffset = -28; btnPrev.clipRect = '26, 34, 13, 13';";
		btnPrev.onMouseExit = "btnPrev.vOffset = -14; btnPrev.clipRect = '26, 20, 13, 13';";
		btnPrev.onMouseUp = "getPreviousSong();";
	}
	if(IsPlaylist) {
		if ((PlayIndex + 1) >= player.currentPlaylist.count) {
			btnNext.vOffset = 0;
			btnNext.clipRect = "94, 6, 13, 13";
			btnNext.onMouseEnter = "btnNext.vOffset = 0; btnNext.clipRect = '94, 6, 13, 13';";
			btnNext.onMouseExit = "btnNext.vOffset = 0; btnNext.clipRect = '94, 6, 13, 13';";
			btnNext.onMouseUp = "";
		} else {
			btnNext.vOffset = -14;
			btnNext.clipRect = "94, 20, 13, 13";
			btnNext.onMouseEnter = "btnNext.vOffset = -28; btnNext.clipRect = '94, 34, 13, 13';";
			btnNext.onMouseExit = "btnNext.vOffset = -14; btnNext.clipRect = '94, 20, 13, 13';";
			btnNext.onMouseUp = "getNextSong();";
		}
	} else {
		if ((PlayIndex + 1) >= Playlist.length) {
			btnNext.vOffset = 0;
			btnNext.clipRect = "94, 6, 13, 13";
			btnNext.onMouseEnter = "btnNext.vOffset = 0; btnNext.clipRect = '94, 6, 13, 13';";
			btnNext.onMouseExit = "btnNext.vOffset = 0; btnNext.clipRect = '94, 6, 13, 13';";
			btnNext.onMouseUp = "";
		} else {
			btnNext.vOffset = -14;
			btnNext.clipRect = "94, 20, 13, 13";
			btnNext.onMouseEnter = "btnNext.vOffset = -28; btnNext.clipRect = '94, 34, 13, 13';";
			btnNext.onMouseExit = "btnNext.vOffset = -14; btnNext.clipRect = '94, 20, 13, 13';";
			btnNext.onMouseUp = "getNextSong();";
		}
	}
}

function changeCtrlPanelState(newState) {
	switch (newState) {
		case "playing":
			Status= "playing";
			btnModeStatus ("on");
			btnPlay.vOffset = 0;
			btnPlay.clipRect = "43, 6, 13, 13";
			btnPlay.onMouseEnter = "btnPlay.vOffset = 0; btnPlay.clipRect = '43, 6, 13, 13';";
			btnPlay.onMouseExit = "btnPlay.vOffset = 0; btnPlay.clipRect = '43, 6, 13, 13';";
			btnPlay.onMouseUp = "";
			btnPause.vOffset = -14;
			btnPause.clipRect = "60, 20, 13, 13";
			btnPause.onMouseEnter = "btnPause.vOffset = -28; btnPause.clipRect = '60, 34, 13, 13';";
			btnPause.onMouseExit = "btnPause.vOffset = -14; btnPause.clipRect = '60, 20, 13, 13';";
			btnPause.onMouseUp = "pauseSong();";
			btnStop.vOffset = -14;
			btnStop.clipRect = "77, 20, 13, 13";
			btnStop.onMouseEnter = "btnStop.vOffset = -28; btnStop.clipRect = '77, 34, 13, 13';";
			btnStop.onMouseExit = "btnStop.vOffset = -14; btnStop.clipRect = '77, 20, 13, 13';";
			btnStop.onMouseUp = "stopSong();";
			if(player.settings.mute) {
				btnMute.hOffset = -10;
				btnMute.vOffset = -44;
				btnMute.clipRect = "128, 55, 9, 9";
				btnMute.onMouseEnter = "btnMute.vOffset = -54; btnMute.clipRect = '128, 65, 9, 9';";
				btnMute.onMouseExit = "btnMute.vOffset = -44; btnMute.clipRect = '128, 55, 9, 9';";
				btnMute.onMouseUp = "mute();";
			} else {
				btnMute.hOffset = 0;
				btnMute.vOffset = -44;
				btnMute.clipRect = "118, 55, 9, 9";
				btnMute.onMouseEnter = "btnMute.vOffset = -54; btnMute.clipRect = '118, 65, 9, 9';";
				btnMute.onMouseExit = "btnMute.vOffset = -44; btnMute.clipRect = '118, 55, 9, 9';";
				btnMute.onMouseUp = "mute();";
			}
			balanceCtrlButton(1);
			navPlayList();
			if(MPconfig == 3) {
				if(loopStatus) {
					btnLoop.vOffset = -34;
					btnLoop.clipRect = "422, 40, 23, 16";
					btnLoop.onMouseEnter = "btnLoop.vOffset = -51; btnLoop.clipRect = '422, 57, 23, 16';";
					btnLoop.onMouseExit = "btnLoop.vOffset = -34; btnLoop.clipRect = '422, 40, 23, 16';";
					btnLoop.onMouseUp = "deactivateLoop();";
				} else {
					btnLoop.vOffset = -17;
					btnLoop.clipRect = "422, 23, 23, 16";
					btnLoop.onMouseEnter = "btnLoop.vOffset = -51; btnLoop.clipRect = '422, 57, 23, 16';";
					btnLoop.onMouseExit = "btnLoop.vOffset = -17; btnLoop.clipRect = '422, 23, 23, 16';";
					btnLoop.onMouseUp = "activateLoop();";
				}
				if(shuffleStatus) {
					btnShuffle.vOffset = -34;
					btnShuffle.clipRect = "446, 40, 23, 16";
					btnShuffle.onMouseEnter = "btnShuffle.vOffset = -51; btnShuffle.clipRect = '446, 57, 23, 16';";
					btnShuffle.onMouseExit = "btnShuffle.vOffset = -34; btnShuffle.clipRect = '446, 40, 23, 16';";
					btnShuffle.onMouseUp = "shuffle();";
				} else {
					if(isFolder || isAudioCD || IsPlaylist) {
						btnShuffle.vOffset = -17;
						btnShuffle.clipRect = "446, 23, 23, 16";
						btnShuffle.onMouseEnter = "btnShuffle.vOffset = -51; btnShuffle.clipRect = '446, 57, 23, 16';";
						btnShuffle.onMouseExit = "btnShuffle.vOffset = -17; btnShuffle.clipRect = '446, 23, 23, 16';";
						btnShuffle.onMouseUp = "shuffle();";
					} else {
						btnShuffle.vOffset = 0;
						btnShuffle.clipRect = "446, 6, 23, 16";
						btnShuffle.onMouseEnter = "btnShuffle.vOffset = 0; btnShuffle.clipRect = '446, 6, 23, 16';";
						btnShuffle.onMouseExit = "btnShuffle.vOffset = 0; btnShuffle.clipRect = '446, 6, 23, 16';";
						btnShuffle.onMouseUp = "";
					}
				}
			}
			break;
		case "paused":
			Status= "paused";
			btnPlay.vOffset = -14;
			btnPlay.clipRect = "43, 20, 13, 13";
			btnPlay.onMouseEnter = "btnPlay.vOffset = -28; btnPlay.clipRect = '43, 34, 13, 13';";
			btnPlay.onMouseExit = "btnPlay.vOffset = -14; btnPlay.clipRect = '43, 20, 13, 13';";
			btnPlay.onMouseUp = "playSong();";
			btnPause.vOffset = 0;
			btnPause.clipRect = "60, 6, 13, 13";
			btnPause.onMouseEnter = "btnPause.vOffset = 0; btnPause.clipRect = '60, 6, 13, 13';";
			btnPause.onMouseExit = "btnPause.vOffset = 0; btnPause.clipRect = '60, 6, 13, 13';";
			btnPause.onMouseUp = "";
			btnStop.vOffset = 0;
			btnStop.clipRect = "77, 6, 13, 13";
			btnStop.onMouseEnter = "btnStop.vOffset = 0; btnStop.clipRect = '77, 6, 13, 13';";
			btnStop.onMouseExit = "btnStop.vOffset = 0; btnStop.clipRect = '77, 6, 13, 13';";
			btnStop.onMouseUp = "";
			btnMute.hOffset = 0;
			btnMute.vOffset = -34;
			btnMute.clipRect = "118, 45, 9, 9";
			btnMute.onMouseEnter = "btnMute.vOffset = -34; btnMute.clipRect = '118, 45, 9, 9';";
			btnMute.onMouseExit = "btnMute.vOffset = -34; btnMute.clipRect = '118, 45, 9, 9';";
			btnMute.onMouseUp = "";
			balanceCtrlButton(1);
			if(MPconfig == 3) {
				if(loopStatus) {
					btnLoop.vOffset = -34;
					btnLoop.clipRect = "422, 40, 23, 16";
					btnLoop.onMouseEnter = "btnLoop.vOffset = -51; btnLoop.clipRect = '422, 57, 23, 16';";
					btnLoop.onMouseExit = "btnLoop.vOffset = -34; btnLoop.clipRect = '422, 40, 23, 16';";
					btnLoop.onMouseUp = "deactivateLoop();";
				} else {
					btnLoop.vOffset = -17;
					btnLoop.clipRect = "422, 23, 23, 16";
					btnLoop.onMouseEnter = "btnLoop.vOffset = -51; btnLoop.clipRect = '422, 57, 23, 16';";
					btnLoop.onMouseExit = "btnLoop.vOffset = -17; btnLoop.clipRect = '422, 23, 23, 16';";
					btnLoop.onMouseUp = "activateLoop();";
				}
				if(shuffleStatus) {
					btnShuffle.vOffset = -34;
					btnShuffle.clipRect = "446, 40, 23, 16";
					btnShuffle.onMouseEnter = "btnShuffle.vOffset = -51; btnShuffle.clipRect = '446, 57, 23, 16';";
					btnShuffle.onMouseExit = "btnShuffle.vOffset = -34; btnShuffle.clipRect = '446, 40, 23, 16';";
					btnShuffle.onMouseUp = "shuffle()";
				} else {
					btnShuffle.vOffset = -17;
					btnShuffle.clipRect = "446, 23, 23, 16";
					btnShuffle.onMouseEnter = "btnShuffle.vOffset = -51; btnShuffle.clipRect = '446, 57, 23, 16';";
					btnShuffle.onMouseExit = "btnShuffle.vOffset = -17; btnShuffle.clipRect = '446, 23, 23, 16';";
					btnShuffle.onMouseUp = "";
				}
			}
			navPlayList();
			break;
		case "stopped":
			Status= "stopped";
			btnMode.src = "Resources/Images/btnMode_on.png";
			btnMode.onMouseEnter = "btnMode.src = 'Resources/Images/btnMode_offOver.png';";
			btnMode.onMouseExit = "btnMode.src = 'Resources/Images/btnMode_on.png';";
			btnMode.tooltip = "Close microPlayer";
			btnMode.onMouseUp = "closeMP();";
			btnSeek.hOffset = 230;
			btnPlay.vOffset = -14;
			btnPlay.clipRect = "43, 20, 13, 13";
			btnPlay.onMouseEnter = "btnPlay.vOffset = -28; btnPlay.clipRect = '43, 34, 13, 13';";
			btnPlay.onMouseExit = "btnPlay.vOffset = -14; btnPlay.clipRect = '43, 20, 13, 13';";
			btnPlay.onMouseUp = "playSong();";
			btnPause.vOffset = 0;
			btnPause.clipRect = "60, 6, 13, 13";
			btnPause.onMouseEnter = "btnPause.vOffset = 0; btnPause.clipRect = '60, 6, 13, 13';";
			btnPause.onMouseExit = "btnPause.vOffset = 0; btnPause.clipRect = '60, 6, 13, 13';";
			btnPause.onMouseUp = "";
			btnStop.vOffset = 0;
			btnStop.clipRect = "77, 6, 13, 13";
			btnStop.onMouseEnter = "btnStop.vOffset = 0; btnStop.clipRect = '77, 6, 13, 13';";
			btnStop.onMouseExit = "btnStop.vOffset = 0; btnStop.clipRect = '77, 6, 13, 13';";
			btnStop.onMouseUp = "";
			btnMute.hOffset = 0;
			btnMute.vOffset = -34;
			btnMute.clipRect = "118, 45, 9, 9";
			btnMute.onMouseEnter = "btnMute.vOffset = -34; btnMute.clipRect = '118, 45, 9, 9';";
			btnMute.onMouseExit = "btnMute.vOffset = -34; btnMute.clipRect = '118, 45, 9, 9';";
			btnMute.onMouseUp = "";
			balanceCtrlButton(1);
			navPlayList();
			if(MPconfig == 3) {
				if(loopStatus) {
					btnLoop.vOffset = -34;
					btnLoop.clipRect = "422, 40, 23, 16";
					btnLoop.onMouseEnter = "btnLoop.vOffset = -51; btnLoop.clipRect = '422, 57, 23, 16';";
					btnLoop.onMouseExit = "btnLoop.vOffset = -34; btnLoop.clipRect = '422, 40, 23, 16';";
					btnLoop.onMouseUp = "deactivateLoop();";
				} else {
					btnLoop.vOffset = -17;
					btnLoop.clipRect = "422, 23, 23, 16";
					btnLoop.onMouseEnter = "btnLoop.vOffset = -51; btnLoop.clipRect = '422, 57, 23, 16';";
					btnLoop.onMouseExit = "btnLoop.vOffset = -17; btnLoop.clipRect = '422, 23, 23, 16';";
					btnLoop.onMouseUp = "activateLoop();";
				}
				if(shuffleStatus) {
					btnShuffle.vOffset = -34;
					btnShuffle.clipRect = "446, 40, 23, 16";
					btnShuffle.onMouseEnter = "btnShuffle.vOffset = -51; btnShuffle.clipRect = '446, 57, 23, 16';";
					btnShuffle.onMouseExit = "btnShuffle.vOffset = -34; btnShuffle.clipRect = '446, 40, 23, 16';";
					btnShuffle.onMouseUp = "shuffle()";
				} else {
					btnShuffle.vOffset = -17;
					btnShuffle.clipRect = "446, 23, 23, 16";
					btnShuffle.onMouseEnter = "btnShuffle.vOffset = -51; btnShuffle.clipRect = '446, 57, 23, 16';";
					btnShuffle.onMouseExit = "btnShuffle.vOffset = -17; btnShuffle.clipRect = '446, 23, 23, 16';";
					btnShuffle.onMouseUp = "";
				}
			}
			break;
		case "standby":
			Status = "standby";
			if(minimizedStatus) {
				minimizedStatus = false;
				btnModeStatus ("off");
			} else {
				if(MPconfig == 0) {
					btnModeStatus ("off");
				} else {
					btnModeStatus ("ready");
				}
			}
			btnSeek.hOffset = 230;
			btnPrev.vOffset = 0;
			btnPrev.clipRect = "26, 6, 13, 13";
			btnPrev.onMouseEnter = "btnPrev.vOffset = 0; btnPrev.clipRect = '26, 6, 13, 13';";
			btnPrev.onMouseExit = "btnPrev.vOffset = 0; btnPrev.clipRect = '26, 6, 13, 13';";
			btnPrev.onMouseUp = "";
			btnPlay.vOffset = 0;
			btnPlay.clipRect = "43, 6, 13, 13";
			btnPlay.onMouseEnter = "btnPlay.vOffset = 0; btnPlay.clipRect = '43, 6, 13, 13';";
			btnPlay.onMouseExit = "btnPlay.vOffset = 0; btnPlay.clipRect = '43, 6, 13, 13';";
			btnPlay.onMouseUp = "";
			btnPause.vOffset = 0;
			btnPause.clipRect = "60, 6, 13, 13";
			btnPause.onMouseEnter = "btnPause.vOffset = 0; btnPause.clipRect = '60, 6, 13, 13';";
			btnPause.onMouseExit = "btnPause.vOffset = 0; btnPause.clipRect = '60, 6, 13, 13';";
			btnPause.onMouseUp = "";
			btnStop.vOffset = 0;
			btnStop.clipRect = "77, 6, 13, 13";
			btnStop.onMouseEnter = "btnStop.vOffset = 0; btnStop.clipRect = '77, 6, 13, 13';";
			btnStop.onMouseExit = "btnStop.vOffset = 0; btnStop.clipRect = '77, 6, 13, 13';";
			btnStop.onMouseUp = "";
			btnNext.vOffset = 0;
			btnNext.clipRect = "94, 6, 13, 13";
			btnNext.onMouseEnter = "btnNext.vOffset = 0; btnNext.clipRect = '94, 6, 13, 13';";
			btnNext.onMouseExit = "btnNext.vOffset = 0; btnNext.clipRect = '94, 6, 13, 13';";
			btnNext.onMouseUp = "";
			btnMute.hOffset = 0;
			btnMute.vOffset = -34;
			btnMute.clipRect = "118, 45, 9, 9";
			btnMute.onMouseEnter = "btnMute.vOffset = -34; btnMute.clipRect = '118, 45, 9, 9';";
			btnMute.onMouseExit = "btnMute.vOffset = -34; btnMute.clipRect = '118, 45, 9, 9';";
			btnMute.onMouseUp = "";
			balanceCtrlButton(1);
			if(MPconfig == 3) {
				btnLoop.vOffset = 0;
				btnLoop.clipRect = "422, 6, 23, 16";
				btnLoop.onMouseEnter = "btnLoop.vOffset = 0; btnLoop.clipRect = '422, 6, 23, 16';";
				btnLoop.onMouseExit = "btnLoop.vOffset = 0; btnLoop.clipRect = '422, 6, 23, 16';";
				btnLoop.onMouseUp = "";
				btnShuffle.vOffset = 0;
				btnShuffle.clipRect = "446, 6, 23, 16";
				btnShuffle.onMouseEnter = "btnShuffle.vOffset = 0; btnShuffle.clipRect = '446, 6, 23, 16';";
				btnShuffle.onMouseExit = "btnShuffle.vOffset = 0; btnShuffle.clipRect = '446, 6, 23, 16';";
				btnShuffle.onMouseUp = "";
			}
			break;
		default:
			break;
	}
}

function LTrim(str) {
	var whitespace = new String(" \t\n\r");
	var s = new String(str);
	if (whitespace.indexOf(s.charAt(0)) != -1) {
		var j=0, i = s.length;
		while (j < i && whitespace.indexOf(s.charAt(j)) != -1)
			j++;
			s = s.substring(j, i);
	}
	return s;
}

function RTrim(str) {
	var whitespace = new String(" \t\n\r");
	var s = new String(str);
	if (whitespace.indexOf(s.charAt(s.length-1)) != -1) {
		var i = s.length - 1;	
		while (i >= 0 && whitespace.indexOf(s.charAt(i)) != -1)
			i--;
			s = s.substring(0, i+1);
	}
	return s;
}

function Trim(str) {
	return RTrim(LTrim(str));
}

